import React, {Component} from 'react'
import { ConfigProvider } from 'antd'
import zhCN from 'antd/es/locale/zh_CN'

import asyncComponent from '@/utils/asyncComponent'
import Header from './header'
import MKEmitter from '@/utils/events.js'
import Sidemenu from './sidemenu'

// import './index.scss'

const Tabview = asyncComponent(() => import('@/components/tabview'))

class Design extends Component {
  UNSAFE_componentWillMount() {
    sessionStorage.setItem('role_id', sessionStorage.getItem('cloudRole_id'))
    sessionStorage.setItem('dataM', sessionStorage.getItem('cloudDataM'))
    sessionStorage.setItem('User_Name', sessionStorage.getItem('CloudUserName'))
    sessionStorage.setItem('Full_Name', sessionStorage.getItem('CloudFullName'))

    document.body.className = 'mk-blue-black'
    window.GLOB.dataFormat = false // 去除水印
    window.GLOB.mkHS = true

    // HS下不可开启断点调试
    window.GLOB.breakpoint = false
    sessionStorage.removeItem('breakpoint')

    Object.defineProperty(window, 'debugger', {
      writable: false,
      value: false
    })
  }

  componentDidMount () {
    MKEmitter.addListener('resetSelectLine', this.resetParentParam)
  }

  componentWillUnmount () {
    MKEmitter.removeListener('resetSelectLine', this.resetParentParam)
  }

  resetParentParam = (MenuID, id, data) => {
    window.GLOB.CacheData.set(MenuID, {...data, $BID: id})
  }
  
  render () {
    return (
      <div className="mk-main-view">
        <ConfigProvider locale={zhCN}>
          <Sidemenu key="sidemenu"/>
          <Tabview key="tabview"/>
          <Header key="header"/>
        </ConfigProvider>
      </div>
    )
  }
}

export default Design